Subject: Re: problems with sshd and RSAAuthentication
From: Peter Fales <[email-masked]>
To: Peter Buckley <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Oct 2001 11:20:38 -0500

On Fri, Oct 26, 2001 at 11:49:02AM -0400, Peter Buckley wrote:
> How did you install sshd- "sshd --install-as-service"? 

I used "ssh-host-config" which uses cygrunsrv to start sshd.  The
only explicit option is -D.  I'm not familiar with --install-as-service.
Where is it documented?

> Which user is 
> running the sshd service- SYSTEM, or another user? 

How can I tell?  I'm guessing it is SYSTEM because the event log said
"NT AUTHORITY\SYSTEM" but cgrunsrv was started as a user.  Both the
user and SYSTEM have the rights I listed.

Thanks!

> 
> Peter Fales wrote:
> 
> > I'm currently trying to get sshd access to our Cygwin/Win2000 machine.  
> > Currently it works well using password authentication, but I can't get
> > it to use RSAAuthentication - it seems to be accepting the key, but
> > then exits right away and creates a windows event log entry:
> > 
> > 10/26/2001      9:51:38 AM      1       0       0       sshd    NT AUTHORITY\SYSTEM             EXPNOVE sshd : Win32 Process Id = 0x470 : Cygwin Process Id = 0x470 : fatal: setuid 1000: Not owner
> > 
> > I know something like this has been discuseed before, and I've tried to 
> > follow all the steps I can find documented:
> > 
> > 	- I've added "CYGWIN=ntsec tty" to the system environement
> > 	- I've added these rights for the user that is running cygrunsrv
> > 	  and the SYSTEM account:
> > 		"Act as part of operating system" 
> > 	        "Replace a process level token" 
> >           	"Increase quotas" 
> > 
> > I'm at a loss to understand why this isn't working, particularly since
> > it seems like password authentication would be doing pretty much the same
> > thing.  Can anyone suggest what to try next?
> > 
> > 
> 
> 
> -- 
> -- 
> Your mouse has moved.
> Windows NT must be restarted for the change to take effect.
> Reboot now?  [OK]
> 
> --

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/